define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var Baas = require("./js/baas2"); 
	var allData = require("./js/loadData");
	

	var Model = function() {
		this.callParent();
		this.contentName;
		this.tag;
		this.lastContentXid = "homeContent";
	};

	// 图片路径转换
	Model.prototype.getImageUrl = function(url) {
		return require.toUrl(url);
	};
	/*
	 * 写首页图片数据缓存的代码 1、数据模型创建时事件
	 * 2、判断有没有localStorage，如果有显示localStorage中的内容，否则显示静态内容。
	 * 3、从服务端获取最新数据和图片，获取之后，更新界面并写入localStorage
	 */
	Model.prototype.modelModelConstruct = function(event) {
		/*
		 * 1、数据模型创建时事件 2、加载静态图片或从缓存中加载图片
		 */
		var carousel = this.comp("carousel1");
		var fImgUrl = localStorage.getItem("index_BannerImg_src");
		var fID = localStorage.getItem("index_BannerImg_id");
		var fPostNumber = localStorage.getItem("index_BannerImg_post");
		var fTitle = localStorage.getItem("index_BannerImg_title");
		if (fImgUrl == undefined) {
			$(carousel.domNode).find("img").eq(0).attr({
				"src" : "./main/img/ay01.jpg",
				"pagename" : "./detail.w"
			});
		} else {
			var fUrl = localStorage.getItem("index_BannerImg_url");
 			$(carousel.domNode).find("img").eq(0).attr({
 				"src" : fImgUrl,
				"pagename" : fUrl,
				"post" : fPostNumber,
				"title": fTitle,
				"id": fID
			});
		}
	};

	Model.prototype.imgDataCustomRefresh = function(event) {
		/*
		 * 1、加载轮换图片数据
		 * 2、根据data数据动态添加carouse组件中的content页面 
		 * 3、如果img已经创建了，只修改属性
		 * 4、第一张图片信息存入localStorage
		 */
		var carousel = this.comp("carousel1");
		var data = event.source; 
		var me = this;
		 //4 网络状态
		if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			  if (ct == Connection.WIFI) {
	                  
	         } else if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	         }else{
	         justep.Util.hint("当前网络是"+ct+",当前没有连接无线，请注意");
	         }
	       }
		Baas.sendRequest({
			"url" : justep.Shell.ywUrl.get()+"/weixinArticleController.do?rollNewsList",
			"action" : "rollNewsList",
			"params" : {
				"column_id" : '' ,"title":''
			},
			"success" : function(resultData) {
				var append = event.options && event.options.append; 
				data.loadData(resultData, append);
				//设置图片滚动
				event.source.each(function(obj) {
 					/*console.log(obj.row.row);
					console.log(JSON.stringify(obj.row.row.ID));
					console.log(obj.row.row.FIMGURL);*/
					
					var fImgUrl = justep.Shell.ywUrl.get()+"/m"+obj.row.row.FIMGURL;//require.toUrl(obj.row.row.FIMGURL);
					var fID = obj.row.row.ID;	
					var fPostNumber = obj.row.row.FPOSTNUMBER;	
					var fTitle = obj.row.row.TITLE;	
					if (me.comp('contentsImg').getLength() > obj.index) {
						$(carousel.domNode).find("img").eq(obj.index).attr({
							"src" : fImgUrl,
							"post" : fPostNumber,
							"title": fTitle,
							"id": fID
						});	
						if (obj.index == 0) {
							localStorage.setItem("index_BannerImg_src", fImgUrl);
							localStorage.setItem("index_BannerImg_post", fPostNumber);
							localStorage.setItem("index_BannerImg_title", fTitle);
							localStorage.setItem("index_BannerImg_id", fID);
						 }
					} else {
						carousel.add('<img src="' + fImgUrl + '" class="tb-img1" bind-click="openPageClick" id="' + fID + '" post="' + fPostNumber + '" title="' + fTitle + '"   />');
					}
					
					
				}); 
			}
		}); 
		
		
	};
	
 

	Model.prototype.openW = function(event) {
		/*
		 * 1、点击组件增加算定义属性：pagename 2、获取自定义属性，打开 对应页面
		 */
		var pageName = event.currentTarget.getAttribute('pagename');
		if (pageName)
			justep.Shell.showPage(require.toUrl(pageName));
	};
	//焦点图文-打开页面
	Model.prototype.openPageClick = function(event) {
		/*
		 * 1、点击组件增加算定义属性：pagename 2、获取自定义属性，打开 对应页面
		 */
		 var id = event.currentTarget.getAttribute('id'); 
		 var title = event.currentTarget.getAttribute('title');  
		 var post = event.currentTarget.getAttribute('post'); 
		 var img = event.currentTarget.getAttribute('src'); 
		  //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			justep.Shell.showPage("detail3", {
				fID : id,
				fTitle : title,
				fPostNumber:post,
				fImg:img
			});
		}
		
	}

	//1.1 实名登记
	Model.prototype.openSmdj = function(event) {
		/*
		 *  1、判断学员是否登录，若没有登录，则跳转到登录界面
 			1、点击组件增加算定义属性：pagename 
			2、获取自定义属性，打开 对应页面
		 */
		 var userId=justep.Shell.userId.get();
		 var kcID=justep.Shell.kcId.get();
		 var realName=justep.Shell.realName.get();
		 var SbID=justep.Shell.sbId.get();
		 //alert(SbID);
		  //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			if(userId=='' || userId==null ){
				justep.Shell.showPage("login");
			}else{
				justep.Shell.showPage("detail4", {
					fType: "s1"
				});
			}
		}
		
	};
	//1.1身份证识别
	Model.prototype.openSmsfz = function(event) {
		/*
		 *  1、判断学员是否登录，若没有登录，则跳转到登录界面
 			1、点击组件增加算定义属性：pagename 
			2、获取自定义属性，打开 对应页面
		 */
		 var userId=justep.Shell.userId.get();
		 var kcID=justep.Shell.kcId.get();
		 var realName=justep.Shell.realName.get();
		 var SbID=justep.Shell.sbId.get();
		  //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			if(userId=='' || userId==null ){
				justep.Shell.showPage("login");
			}else{
				justep.Shell.showPage("detail4", {
					fType: "s6"
				});
			}
		}
		
	};
	//1.2登记查询
	Model.prototype.openSmcx = function(event) {
		/*
		 *  1、判断学员是否登录，若没有登录，则跳转到登录界面
 			1、点击组件增加算定义属性：pagename 
			2、获取自定义属性，打开 对应页面
		 */
		 var userId=justep.Shell.userId.get();
		 var kcID=justep.Shell.kcId.get();
		 var realName=justep.Shell.realName.get();
		 var SbID=justep.Shell.sbId.get();
		  //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			if(userId=='' || userId==null ){
				justep.Shell.showPage("login");
			}else{
				//justep.Shell.showPage("smcx");
				justep.Shell.showPage("detail4", { fType: "s2" });
			}
		}
		
	};
	//1.3登记统计
	Model.prototype.openSmtj = function(event) {
		/*
		 *  1、判断学员是否登录，若没有登录，则跳转到登录界面
 			1、点击组件增加算定义属性：pagename 
			2、获取自定义属性，打开 对应页面
		 */
		 var userId=justep.Shell.userId.get();
		 var kcID=justep.Shell.kcId.get();
		 var realName=justep.Shell.realName.get();
		 var SbID=justep.Shell.sbId.get();
		  //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			if(userId=='' || userId==null ){
				justep.Shell.showPage("login");
			}else{
				justep.Shell.showPage("detail4", {
					fType: "s3"
				});
			}
		}
	};
	
	//2.1岗位采集
	Model.prototype.openGwcj = function(event) {
		/*
		 *  1、判断学员是否登录，若没有登录，则跳转到登录界面
 			1、点击组件增加算定义属性：pagename 
			2、获取自定义属性，打开 对应页面
		 */
		 justep.Util.hint("开发中，敬请期待！！");
		 return false;
		 var userId=justep.Shell.userId.get();
		 var kcID=justep.Shell.kcId.get();
		 var realName=justep.Shell.realName.get();
		 var SbID=justep.Shell.sbId.get();
		 
		  //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			if(userId=='' || userId==null ){
				justep.Shell.showPage("login");
			}else{
				justep.Shell.showPage("detail4", {
					fType: "1"
				});
			}
		}
	};
	
	
	
	//2.2岗位查询
	Model.prototype.openGwcx = function(event) {
		/*
		 *  1、判断学员是否登录，若没有登录，则跳转到登录界面
 			1、点击组件增加算定义属性：pagename 
			2、获取自定义属性，打开 对应页面
		 */
		 justep.Util.hint("开发中，敬请期待！！");
		 return false;
		  var userId=justep.Shell.userId.get();
		  var kcID=justep.Shell.kcId.get();
		  var realName=justep.Shell.realName.get();
		  var SbID=justep.Shell.sbId.get();
		//590c3ddddae4f72|| SbID=='s'
		 //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			if(userId=='' || userId==null  ){
				justep.Shell.showPage("login");
			}else{
				justep.Shell.showPage("detail4", {
					fType: "3"
				});
			}
		}
	};
	
	 
	//2.3岗位统计
	Model.prototype.openGwtj = function(event) {
		/*
		 *  1、判断学员是否登录，若没有登录，则跳转到登录界面
 			1、点击组件增加算定义属性：pagename 
			2、获取自定义属性，打开 对应页面
		 */
		 justep.Util.hint("开发中，敬请期待！！");
		 return false;
		 var userId=justep.Shell.userId.get();
		 var kcID=justep.Shell.kcId.get();
		 var realName=justep.Shell.realName.get();
		 var SbID=justep.Shell.sbId.get();
		  //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			if(userId=='' || userId==null ){
				justep.Shell.showPage("login");
			}else{
				justep.Shell.showPage("detail4", {
					fType: "6"
				});
			}
		}
	};
	
	// 2.1操作须知
	Model.prototype.openCzxz = function(event) {
		/*
		 *  1、判断学员是否登录，若没有登录，则跳转到登录界面
            2、根据登录界面，判断报名的课程，根据课程对应的入学须知ID
 			1、点击组件增加算定义属性：pagename 
			2、获取自定义属性，打开 对应页面
		 */
		var userId=justep.Shell.userId.get();
		var kcID=justep.Shell.kcId.get();
		var realName=justep.Shell.realName.get();
		var title="入学须知";
		var fid="8888888a";	//8888888a
		 //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			justep.Shell.showPage("detail3", {
				fID : fid,
				fTitle : title,
				fPostNumber : '',
				fImg : ''
			});
		} 
	};
	// 进入详细页
	Model.prototype.listClick = function(event) {
		/*
		 * 1、获取当前行 2、进入详细页面，并传值rowid
		 */
		var data = this.comp("goodsData");
		 //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			justep.Shell.showPage("detail", {
				goodsID : data.getValue("id"),
				shopID : data.getValue("fShopID")
			});
		}
	};

	// 搜索
	Model.prototype.searchBtnClick = function(event) {
		/*
		 * 1、进入搜索页面
		 */
		justep.Shell.showPage("search");
	};
	
	Model.prototype.getImageUrl2 = function(url){
		return justep.Shell.ywUrl.get()+'/s'+url;
	};
	// 下划刷新
	Model.prototype.scrollViewPullDown = function(event) {
		/*
		 * 1、滚动视图下拉事件 2、刷新data
		 */
		//this.comp("imgData").refreshData();
	};

	Model.prototype.newsData11CustomRefresh = function(event){
		var data = event.source;
		 //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			Baas.sendRequest({ 
				"url" : justep.Shell.ywUrl.get()+"/weixinArticleController.do?newsList",			
				"action" : "newsList",
				"params" : {
					"column_id" : '20' 
				},
				"success" : function(resultData) {
					var append = event.options && event.options.append; 
					
					data.loadData(resultData, append); 
				}
			});
		}
	};
	
	Model.prototype.shoppingContentInactive = function(event) {
		/*
		 * 1、购物车页面离开事件 2、获取子页面Model 3、调用子页面的函数showBackBtn，设置返回按钮显否显示
		 */
		var model = this.comp("navContainer4").getInnerModel();
		if (model) {
			model.showBackBtn(false);
		}
	};
	// 添加事件
	Model.prototype.modelLoad = function(event) {
		justep.Shell.on("onRestoreContent", this.onRestoreContent, this);
		justep.Shell.on("onShoppingContent", this.onShoppingContent, this);
		justep.Shell.on("onHomeContent", this.onHomeContent, this);
	};
	// 卸载事件
	Model.prototype.modelUnLoad = function(event) {
		justep.Shell.off("onRestoreContent", this.onRestoreContent);
		justep.Shell.off("onShoppingContent", this.onShoppingContent);
		justep.Shell.off("onHomeContent", this.onHomeContent);
	};
	// 返回上一次的content
	Model.prototype.onRestoreContent = function(event) {
		this.comp("contents2").to(this.lastContentXid);
	};
	// 记住当前content，切换到购物车页
	Model.prototype.onShoppingContent = function(event) {
		this.lastContentXid = this.comp("contents2").getActiveXid();
		this.comp("contents2").to("shoppingContent");
		var shoppingModel = this.comp("navContainer4").getInnerModel();
		if (shoppingModel) {
			shoppingModel.showBackBtn(true);
		}
	};
	// 切换到首页
	Model.prototype.onHomeContent = function(event) {
		this.comp("contents2").to("homeContent");
	};

	Model.prototype.contents2ActiveChange = function(event){
		var to = event.to;
		if (to >= 1) {
			this.comp('navContainer' + (to + 1)).load();
		}

	};

	// 进入内容页-11
	Model.prototype.newsClick_11 = function(event) { 
		var data = this.comp("newsData11"); 
		 //4 网络状态
		 var flag=false;
		 if (justep.Browser.isX5App) {
			 var ct=navigator.connection.type;
			   if(ct=='none'){
	               justep.Util.hint("当前无网络连接，请检查你的网络是否正常");// 警告用户没有连接网络
	              flag=true;
	         }
		 }
         if(flag){
        	 justep.Util.hint("当前无网络连接，请检查你的网络是否正常");
         }else{
			if (data.getValue("SID")==null || data.getValue("SID")==''){
				justep.Shell.showPage("detail3", {
				fID : data.getValue("FID"),
				fTitle : data.getValue("FTITLE"),
				fPostNumber : data.getValue("FPOSTNUMBER"),
				fImg:data.getValue("FIMG")
				}); 
			}else{
				justep.Shell.showPage("jhzt", {
					SID : data.getValue("SID") 
				}); 
			}
		}
		//justep.Shell.showPage("detail");
	};
	//留言区
	Model.prototype.td10Click = function(event){
		justep.Util.hint("暂未实现");
	};
	return Model;
});
